Bug 177423 - [NEW PORT]: www/trac-attachmentpolicy: Provides delete permission to Trac normal user
Summary: [NEW PORT]: www/trac-attachmentpolicy: Provides delete permission to Trac nor...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 21:50 UTC by Hung-Yi Chen
Modified: 2013-07-11 16:30 UTC (History)
0 users

See Also:


Attachments
trac-attachmentpolicy.diff (2.32 KB, patch)
2013-03-27 21:50 UTC, Hung-Yi Chen
no flags Details | Diff
trac-attachmentpolicy.diff (2.34 KB, patch)
2013-04-01 20:41 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2013-03-27 21:50:00 UTC

How-To-Repeat: Adds permission TICKET_ATTACHMENT_DELETE for exclusive right
to delete and replace attachments, regardless who added/changed it.

Everybody who has permission TICKET_ATTACHMENT_DELETE can delete
or replace attachments, regardless who added / changed it.

WWW: http://trac-hacks.org/wiki/AttachmentPolicyPlugin
Comment 1 Martin Wilke freebsd_committer 2013-03-28 08:22:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Hung-Yi Chen 2013-04-01 20:41:15 UTC
Hi,

I updated the MASTER_SITES with a minor change.

2013/3/28  <FreeBSD-gnats-submit@freebsd.org>:
> Thank you very much for your problem report.
> It has the internal identification `ports/177423'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=177423
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       [NEW PORT]: www/trac-attachmentpolicy: Provides delete permission to Trac normal user
>>Arrival-Date:   Wed Mar 27 21:50:00 UTC 2013
Comment 3 Martin Wilke freebsd_committer 2013-07-11 16:23:28 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2013-07-11 16:23:58 UTC
Author: miwi
Date: Thu Jul 11 15:23:44 2013
New Revision: 322776
URL: http://svnweb.freebsd.org/changeset/ports/322776

Log:
  Adds permission TICKET_ATTACHMENT_DELETE for exclusive right
  to delete and replace attachments, regardless who added/changed it.
  
  Everybody who has permission TICKET_ATTACHMENT_DELETE can delete
  or replace attachments, regardless who added / changed it.
  
  WWW: http://trac-hacks.org/wiki/AttachmentPolicyPlugin
  
  PR:		ports/177423
  Submitted by:	Hung-Yi Chen <gaod@hychen.org>

Added:
  head/www/trac-attachmentpolicy/
  head/www/trac-attachmentpolicy/Makefile   (contents, props changed)
  head/www/trac-attachmentpolicy/distinfo   (contents, props changed)
  head/www/trac-attachmentpolicy/pkg-descr   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Thu Jul 11 15:22:10 2013	(r322775)
+++ head/www/Makefile	Thu Jul 11 15:23:44 2013	(r322776)
@@ -1911,6 +1911,7 @@
     SUBDIR += trac-addcomment
     SUBDIR += trac-advancedticketworkflow
     SUBDIR += trac-announcer
+    SUBDIR += trac-attachmentpolicy
     SUBDIR += trac-autocomplete
     SUBDIR += trac-batchmodify
     SUBDIR += trac-bzr

Added: head/www/trac-attachmentpolicy/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-attachmentpolicy/Makefile	Thu Jul 11 15:23:44 2013	(r322776)
@@ -0,0 +1,31 @@
+# Created by: Hung-Yi Chen <gaod@hychen.org>
+# $FreeBSD$
+
+PORTNAME=	attachmentpolicy
+PORTVERSION=	0.1.0.${SVN_REV}
+CATEGORIES=	www devel python
+MASTER_SITES=	http://distfiles.cse.tw/ \
+		http://trac-hacks.org/changeset/${SVN_REV}/attachmentpolicyplugin?old_path=/&format=zip&filename=/
+PKGNAMEPREFIX=	trac-
+DISTNAME=	${PORTNAME}plugin-r${SVN_REV}
+
+MAINTAINER=	gaod@hychen.org
+COMMENT=	Provides delete permission to Trac normal user
+
+LICENSE=	BSD
+
+SVN_REV=	12775
+
+RUN_DEPENDS+=	tracd:${PORTSDIR}/www/trac
+
+WRKSRC=		${WRKDIR}/${PORTNAME}plugin/0.12
+USE_ZIP=	yes
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+
+FETCH_BEFORE_ARGS=	-o ${DISTFILES}
+PYDISTUTILS_PKGNAME=	Attachment_Policy_Plugin
+PYDISTUTILS_PKGVERSION=	${PORTVERSION:C/.${SVN_REV}//g}
+PLIST_FILES=		%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+.include <bsd.port.mk>

Added: head/www/trac-attachmentpolicy/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-attachmentpolicy/distinfo	Thu Jul 11 15:23:44 2013	(r322776)
@@ -0,0 +1,2 @@
+SHA256 (attachmentpolicyplugin-r12775.zip) = be8493552557ee027d708dd32debcd1b7ca1c08cdb610a1490ac1b03b59b02ba
+SIZE (attachmentpolicyplugin-r12775.zip) = 1731

Added: head/www/trac-attachmentpolicy/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-attachmentpolicy/pkg-descr	Thu Jul 11 15:23:44 2013	(r322776)
@@ -0,0 +1,7 @@
+Adds permission TICKET_ATTACHMENT_DELETE for exclusive right
+to delete and replace attachments, regardless who added/changed it.
+
+Everybody who has permission TICKET_ATTACHMENT_DELETE can delete
+or replace attachments, regardless who added / changed it.
+
+WWW: http://trac-hacks.org/wiki/AttachmentPolicyPlugin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"